Bug 251821 - Enhancement - Maximum length of Hour, Minute and Seconds
Enhancement - Maximum length of Hour, Minute and Seconds
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 18:32 EDT by ray hammond
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.9.5-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 23:20:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ray hammond 2007-08-11 18:32:43 EDT
Description of problem:
You can type an excessive amount of characters into the hour, minute and second
fields.

Version-Release number of selected component (if applicable):
n/a

How reproducible:
Every time

Steps to Reproduce:
1. Open the system-config-date utility.
2. Click into the field Hour, Minute or Seconds.
3. Type the following 0123456789.
  
Actual results:
The utility permits the input.

Expected results:
The utility should implement a maximum length on the offending fields.

Additional info:
Comment 1 Nils Philippsen 2007-08-13 10:57:53 EDT
fixed in upstream repository
Comment 2 Fedora Update System 2007-08-17 12:13:06 EDT
system-config-date-1.9.5-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-09-17 23:20:05 EDT
system-config-date-1.9.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.